clear;

edge=2;                 %choose the number of data at edge to be cut off
a=inputdatalayer1;      %choose the layer to plot

xnum=65;
ynum=61;

for (i=1:xnum)
    for (k=1:ynum)
        if (i-1)*ynum+k<length(a)
            f(i,k)=a((i-1)*ynum+k,3);
        else
            f(i,k)=f(i,k-1);
        end
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if not(f(i,k)>=0)
            if (i>=60 || k>=60)
                if (i>=k)
                    f(i:xnum,:)=0;
                else
                    f(:,k:ynum)=0;
                end
            else
                f(i,k)=f(i,k-1);
            end
        end
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if (f(i,k)~=0)
            f_i_k(i,k)=f(i,k);
        end
    end
end

[xnum,ynum]=size(f_i_k);
figure(1);
mesh(f_i_k);
title('Data With Edge');
f_i_k=f_i_k(1+edge:xnum-edge,1+edge:ynum-edge);
[xnum,ynum]=size(f_i_k);
figure(2);
mesh(f_i_k);
title('Data Without Edge');