clear;

edge=2;                 %choose the number of data at edge to be cut off
a1=inputdatalayer7_2;   %ILD(k)=H(k)-H(k-1)-M(k), H(0)=0; Load H(k)
a2=inputdatalayer6_2;   %Load H(k-1)
a3=inputdatalayer7;     %Load M(k)

[xnum(1),ynum(1),f1]=DataImport(a1,edge);
[xnum(2),ynum(2),f2]=DataImport(a2,edge);
[xnum(3),ynum(3),f3]=DataImport(a3,edge);

xnum=min(xnum);
ynum=min(ynum);

ILD=f1(1:xnum,1:ynum)-f2(1:xnum,1:ynum)-f3(1:xnum,1:ynum);

figure(1);
mesh(ILD);
title('ILD thickness');