clear;

a=inputdatalayer8;  %set the layer to calculate
edge=2;

xnum=65;
ynum=61;

for (i=1:xnum)
    for (k=1:ynum)
        f(i,k)=a((i-1)*ynum+k,3);
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if not(f(i,k)>=0)
            if (i>=60 || k>=60)
                if (i>=k)
                    f(i:xnum,:)=0;
                else
                    f(:,k:ynum)=0;
                end
            else
                f(i,k)=f(i,k-1);
            end
        end
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if (f(i,k)~=0)
            f_i_k(i,k)=f(i,k);
        end
    end
end

[xnum,ynum]=size(f_i_k);

Z=f_i_k(1+edge:xnum-edge,1+edge:ynum-edge);
xnum=xnum-2*edge;
ynum=ynum-2*edge;

difx=abs((Z(1:xnum-1,:)-Z(2:xnum,:))./Z(1:xnum-1,:));
dify=abs((Z(:,1:ynum-1)-Z(:,2:ynum))./Z(:,1:ynum-1));

meanerrorX=mean(mean(difx))
maxerrorX=max(max(difx))

meanerrorY=mean(mean(dify))
maxerrorY=max(max(dify))
