% Copyright  2005-2006 The Regents of the University of California
% All Rights Reserved.
% 
% Permission to use, copy, modify, and distribute this software and its
% documentation for educational, research and non-profit purposes, without
% fee, and without a written agreement is hereby granted, provided that the
% above copyright notice, this paragraph and the following three paragraphs
% appear in all copies.
% 
% Permission to incorporate this software into commercial products may be
% obtained by contacting the University of California, Los Angeles, by
% sending email to lhe@ee.ucla.edu.
% 
% This software program and documentation are copyrighted by The Regents of
% the University of California. The software program and documentation are
% supplied "as is", without any accompanying services from The Regents. The
% Regents does not warrant that the operation of the program will be
% uninterrupted or error-free. The end-user understands that the program was
% developed for research purposes and is advised not to rely exclusively on
% the program for any reason.
% 
% IN NO EVENT SHALL THE UNIVERSITY OF CALIFORNIA BE LIABLE TO ANY PARTY FOR
% DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING
% LOST PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS
% DOCUMENTATION, EVEN IF THE UNIVERSITY OF CALIFORNIA HAS BEEN ADVISED OF
% THE POSSIBILITY OF SUCH DAMAGE. THE UNIVERSITY OF CALIFORNIA SPECIFICALLY
% DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
% WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE
% SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, AND THE UNIVERSITY OF
% CALIFORNIA HAS NO OBLIGATIONS TO PROVIDE MAINTENANCE, SUPPORT, UPDATES,
% ENHANCEMENTS, OR MODIFICATIONS.

function  [num_sites_out, num_dies_out, x1V_out, y1V_out, die_id_out,...
        site_index, die_index]...
    =detect_data(num_sites, num_dies, x1V, y1V, die_id, read_data);

num_sites_out=num_sites;
num_dies_out =num_dies;
x1V_out      =x1V;
y1V_out      =y1V;
die_id_out   =die_id;
    
    
new_site=1;

for i_site=1:num_sites
    
    if (read_data.within_die_loc_x==x1V(i_site))&&...
            (read_data.within_die_loc_y==y1V(i_site))
        site_index=i_site;
        new_site=0;
        break;
    end
end

if new_site==1    
    num_sites_out=num_sites+1;
    x1V_out(num_sites_out)=read_data.within_die_loc_x;
    y1V_out(num_sites_out)=read_data.within_die_loc_y;
    site_index=num_sites_out;
end


new_die=1;

for i_die=1:num_dies
    
    if (die_id(i_die).wafer_id==read_data.wafer_id)&&...
            (die_id(i_die).die_in_wafer_loc_x==read_data.die_in_wafer_loc_x)&&...
            (die_id(i_die).die_in_wafer_loc_y==read_data.die_in_wafer_loc_y)
        
        die_index=i_die;
        new_die=0;
        break;
    end
end

if new_die==1
    num_dies_out=num_dies+1;
    die_id_out(num_dies_out).wafer_id=read_data.wafer_id;
    die_id_out(num_dies_out).die_in_wafer_loc_x=read_data.die_in_wafer_loc_x;
    die_id_out(num_dies_out).die_in_wafer_loc_y=read_data.die_in_wafer_loc_y;
    die_index=num_dies_out;
end
    
    









