function corrcoef_ab=my_corrcoef(a, b);

num_samples=length(a);

mean_a=mean(a);
mean_b=mean(b);

cov_ab = sum(a.*b-mean_a*mean_b)/(num_samples-1);

sig_a = sum((a-mean_a).^2)/(num_samples-1);
sig_b = sum((b-mean_b).^2)/(num_samples-1);

corrcoef_ab=cov_ab/sqrt(sig_a*sig_b);

