function coef_M_out = adjust_coef_M(coef_M_in, epsilon);

if min(eig(coef_M_in))>=0;
    coef_M_out = coef_M_in;
    return;
end

S0=0;
Y0=coef_M_in;

k=1;



[R_old, X_old, S_old, Y_old] = update_M(S0, Y0);
[R_new, X_new, S_new, Y_new] = update_M(S_old, Y_old);

while ~detect_stop(X_new, X_old, Y_new, Y_old, epsilon)
    X_old = X_new;
    Y_old = Y_new;
    S_old = S_new;
    R_old = R_new;
    [R_new, X_new, S_new, Y_new] = update_M(S_old, Y_old);
end

coef_M_out = Y_new;
    
