% for (i=1:siteX*area)
%     for (k=1:siteY*area)
%         f_i_k(i,k)=a((i-1)*ynum+k,3);
%     end
% end

% for (i=1:siteX*area)
%     for (k=1:siteY*area)
%         f_i_k(i,k)=a((i+1)*ynum+k+1,3);
%     end
% end

for i=1:sampleN
    for x=1:area
        for y=1:area 
            f(x,y,i)=f_i_k((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY));
        end       
    end
end

coef1=sig_s_sqr+sig_r_sqr*coef_M_spatial;

for xi=1:area
    for yi=1:area
        for xj=1:area
            for yj=1:area
                coef2((xi-1)*area+yi,(xj-1)*area+yj)=sum(f(xi,yi,:).*f(xj,yj,:))/(sampleN-1)-sum(f(xi,yi,:))*sum(f(xj,yj,:))/sampleN/(sampleN-1);
            end
        end
    end
end

delta=abs((coef1-coef2));%./coef2);
meanerror=sum(sum(delta))/numPt/numPt
maxerror=max(max(delta))

[x,y]=meshgrid(1:area^2);
mesh(x,y,coef1);
hold on;
%mesh(x,y,coef2);
%mesh(x,y,delta);
plot3(x,y,coef2,'+');