clear;

text1='cmp_layer8';         %Set layer to deal with
a=inputdatalayer8;


fid = fopen(text1, 'w');
% xnum=[64 64 61 60 60 61 60 60];
% ynum=[61 61 61 61 61 61 61 61];
% xnum=xnum(i);
% ynum=ynum(i);
xnum=65;
ynum=61;
area=10;
cutedge=2;

for (i=1:xnum)
    for (k=1:ynum)
        f(i,k)=a((i-1)*ynum+k,3);
    end
end


for (i=1:xnum)
    for (k=1:ynum)
        if not(f(i,k)>=0)
            if (i>=60 || k>=60)
                if (i>=k)
                    f(i:xnum,:)=0;
                else
                    f(:,k:ynum)=0;
                end
            else
                f(i,k)=f(i,k-1);
            end
        end
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if (f(i,k)~=0)
            f_i_k(i,k)=f(i,k);
        end
    end
end

%mesh(f_i_k)

[xnum,ynum]=size(f_i_k);
f_i_k=f_i_k(1+cutedge:xnum-cutedge,1+cutedge:ynum-cutedge);
[xnum,ynum]=size(f_i_k);

% f_i_k_fft=fft2(f_i_k-mean(mean(f_i_k)));
% mesh(db(abs(f_i_k_fft)))

numPt=area^2;
siteX=floor(xnum/area);
siteY=floor(ynum/area);
sampleN=siteX*siteY;

for x=1:area
    for y=1:area
        x1V(x,y)=rand(1,1)*siteX+(x-1)*siteX;
        y1V(x,y)=rand(1,1)*siteY+(y-1)*siteY;
    end
end

wafer_id=1;

for i=1:sampleN
    for x=1:area
        for y=1:area 
            tline=[num2str(f_i_k((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY))), ' ',...
                num2str(x1V(x,y)), ' ',...
                num2str(y1V(x,y)), ' ',...
                '0 0 ',...
                num2str(wafer_id), ' 0 '];
        
            fprintf(fid, tline);            
            fprintf(fid, '\n');        
        end       
    end    
    wafer_id=wafer_id+1;
end

fprintf(fid, '%');
fclose(fid);

read_data=read_input(text1);
[f, x1V, y1V]=my_data_proc(read_data);
[b, s, sig_g_sqr, sig_s_sqr, sig_r_sqr, M2]=...
    lerong_var_Decomp(f, x1V, y1V);

SpacialVariation=sig_s_sqr
RandomVariation=sig_r_sqr
minimum_eig_forM2=min(eig(M2))

clear f;

for i=1:sampleN
    for x=1:area
        for y=1:area 
            f(x,y,i)=f_i_k((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY));
        end       
    end
end

for xi=1:area
    for yi=1:area
        for xj=1:area
            for yj=1:area
                coef((xi-1)*area+yi,(xj-1)*area+yj)=sum(f(xi,yi,:).*f(xj,yj,:))/(sampleN-1)-sum(f(xi,yi,:))*sum(f(xj,yj,:))/sampleN/(sampleN-1);
                M3((xi-1)*area+yi,(xj-1)*area+yj)=myBesselFittingFunc([b s],sqrt((xi-xj)^2+(yi-yj)^2));
            end
        end
    end
end

for i=1:numPt
    for j=1:numPt
        M1(i,j)=coef(i,j)/sqrt(coef(i,i)*coef(j,j));
    end
    M3(i,i)=1;
end

delta1=sum(sum((M1).^2));
delta2=sum(sum((M2).^2));
delta3=sum(sum((M3).^2));

delta2_1=sum(sum((M2-M1).^2))/delta1
% % % % delta3_1=sum(sum((M3-M1).^2))/delta1
% % % % delta3_2=sum(sum((M3-M2).^2))/delta2


%  
% v=0.01:0.01:5;
% coeffun=myBesselFittingFunc([b s],v);
% plot(v,abs(coeffun));
