%function dataplot3D;
clear;

a=inputdatalayer3;
fid = fopen('cmp_layer3', 'w');

xnum=65;
ynum=61;

area=10;

for (i=1:xnum)
    for (k=1:ynum)
        f(i,k)=a((i-1)*ynum+k,3);
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if not(f(i,k)>=0)
            if (i>=k)
                f(i:xnum,:)=0;
            else
                f(:,k:ynum)=0;
            end
        end
    end
end

for (i=1:xnum)
    for (k=1:ynum)
        if (f(i,k)~=0)
            f_i_k(i,k)=f(i,k);
        end
    end
end

[xnum,ynum]=size(f_i_k)
    
numPt=area^2;
siteX=floor(xnum/area);
siteY=floor(ynum/area);
sampleN=siteX*siteY;

% for (i=1:siteX*area)
%     for (k=1:siteY*area)
%         f_i_k(i,k)=a((i-1)*ynum+k,3);
%     end
% end

wafer_id=1;

for i=1:sampleN
    for x=1:area
        for y=1:area 
            tline=[num2str(f_i_k((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY))), ' ',...
                num2str(x), ' ',...
                num2str(y), ' ',...
                '0 0 ',...
                num2str(wafer_id), ' 0 '];
        
            fprintf(fid, tline);            
            fprintf(fid, '\n');        
        end       
    end
    
    wafer_id=wafer_id+1;
end

fprintf(fid, '%');
fclose(fid);

cmpmatrix_Cadence;


