function datamap(datain,region,filename);

[xnum ynum]=size(datain);

siteX=floor(xnum/region);
siteY=floor(ynum/region);
sampleN=siteX*siteY;

fid = fopen(filename, 'w');

wafer_id=1;

for i=1:sampleN
    for x=1:region
        for y=1:region 
            tline=[num2str(datain((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY))), ' ',...
                num2str(x), ' ',...
                num2str(y), ' ',...
                '0 0 ',...
                num2str(wafer_id), ' 0 '];
        
            fprintf(fid, tline);            
            fprintf(fid, '\n');        
        end       
    end
    
    wafer_id=wafer_id+1;
end

fprintf(fid, '%');
fclose(fid);