% function [err1, err2]=cmpmatrixfun(area);
%function [delta2_1, delta3_1, delta3_2]=cmpmatrixfun(area);
clear;
area=10;

[a,num]=datain;
xnum=62;
ynum=61;
%area=10;

numPt=area*area;
siteX=floor(xnum/area);
siteY=floor(ynum/area);
sampleN=siteX*siteY;

for (i=1:siteX*area)
    for (k=1:siteY*area)
        f_i_k(i,k)=a((i)*ynum+k,3);
    end
end

for x=1:area
    for y=1:area
        meanf(x,y)=mean(mean(f_i_k((x-1)*siteX+1:(x-1)*siteX+siteX,(y-1)*siteY+1:(y-1)*siteY+siteY)));
        varf(x,y)=var(var(f_i_k((x-1)*siteX+1:(x-1)*siteX+siteX,(y-1)*siteY+1:(y-1)*siteY+siteY)));
    end
end

% for (i=1:siteX*area)
%     for (k=1:siteY*area)
%         f_i_k(i,k)=a((i+1)*ynum+k+1,3);
%     end
% end

fid = fopen('cmp', 'w');

wafer_id=1;

for i=1:sampleN
    for x=1:area
        for y=1:area 
            tline=[num2str(f_i_k((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY))-mean(x,y)), ' ',...
                num2str((x-1)*siteX), ' ',...
                num2str((y-1)*siteY), ' ',...
                '0 0 ',...
                num2str(wafer_id), ' 0 '];
        
            fprintf(fid, tline);            
            fprintf(fid, '\n');        
        end       
    end
    
    wafer_id=wafer_id+1;
end

fprintf(fid, '%');
fclose(fid);

read_data=read_input('cmp');
[f, x1V, y1V]=my_data_proc(read_data);
[b, s, sig_g_sqr, sig_s_sqr, sig_r_sqr, M2]=...
    lerong_var_Decomp(f, x1V, y1V);

clear f;

for i=1:sampleN
    for x=1:area
        for y=1:area 
            f(x,y,i)=f_i_k((x-1)*siteX+ceil(i/siteX),(y-1)*siteY+i-siteY*floor((i-1)/siteY));
        end       
    end
end

for xi=1:area
    for yi=1:area
        for xj=1:area
            for yj=1:area
                coef((xi-1)*area+yi,(xj-1)*area+yj)=sum(f(xi,yi,:).*f(xj,yj,:))/(sampleN-1)-sum(f(xi,yi,:))*sum(f(xj,yj,:))/sampleN/(sampleN-1);
                M3((xi-1)*area+yi,(xj-1)*area+yj)=myBesselFittingFunc([b s],sqrt((xi-xj)^2+(yi-yj)^2));
            end
        end
    end
end

for i=1:numPt
    for j=1:numPt
        M1(i,j)=coef(i,j)/sqrt(coef(i,i)*coef(j,j));
    end
    M3(i,i)=1;
end

% det1=det(M1);
% det2=det(M2);
% det3=det(M3);

 delta2_1=det(M2-M1);%/det(M1);
 delta3_1=det(M3-M1);%/det(M1);
 delta3_2=det(M3-M2);%/det(M2);
 det(M1)
  det(M2)
   det(M3)
% 
% delta21=abs(det2-det1)/det1;
% delta31=abs(det3-det1)/det1;
% delta32=abs(det3-det2)/det2;

% mean_delta2_1=mean(mean(delta2_1));
% max_delta2_1=max(max(delta2_1));
% 
% mean_delta3_1=mean(mean(delta3_1));
% max_delta3_1=max(max(delta3_1));
% 
% mean_delta3_2=mean(mean(delta3_2));
% max_delta3_2=max(max(delta3_2));
% 
% err1=[mean_delta2_1 max_delta2_1 mean_delta3_1 max_delta3_1];
% err2=[mean_delta3_2 max_delta3_2];