%verify spatial correlation

for i=1:sampleN
    for x=1:area
        for y=1:area 
            M(x,y,i)=f_i_k((x-1)*siteX+ceil(i/6),(y-1)*siteY+i-6*floor((i-1)/6));
        end
    end
end
                
                
coef1=sig_g_sqr+sig_s_sqr*coef_M_spatial;
clear coef2;

for xi=1:area
    for yi=1:area
        for xj=1:area
            for yj=1:area
                coef2((xi-1)*area+yi,(xj-1)*area+yj)=sum(M(xi,yi,:).*M(xj,yj,:))/(sampleN-1)-sum(M(xi,yi,:))*sum(M(xj,yj,:))/sampleN/(sampleN-1);
            end
        end
    end
end

delta=abs((coef1-coef2));
sum(sum(delta))/numPt/numPt


[x y]=meshgrid(1:100);
mesh(x,y,coef1);
hold on;
plot3(x,y,coef2,'+');
hold off;